<template>
  <div
    class="fixed bottom-0 left-0 z-[1000] flex justify-center w-full px-1 py-0 h-max fc-text bg-[#121328] shadow-top footer-menu"
  >
    <nuxt-link
      to="/games"
      class="text-center w-[33.33%] h-full"
      @click="[(gameTypeDialogVisible = false), (dialogVisible = false)]"
    >
      <div>
        <div class="w-10 h-10 my-0 mx-auto">
          <img
            class="w-full h-full"
            :src="getAssetImage('assets/theme/common/icon/allgames.png')"
          />
        </div>
        <span>{{ $t("all_games") }}</span>
      </div>
    </nuxt-link>
    <div
      class="text-center w-[33.33%] h-full"
      @click="[(gameTypeDialogVisible = true), (dialogVisible = false)]"
    >
      <div>
        <div class="w-10 h-10 my-0 mx-auto">
          <img
            class="w-full h-full"
            :src="getAssetImage('assets/theme/common/icon/gametype.png')"
          />
        </div>
        <span>{{ $t("game_types") }}</span>
      </div>
    </div>
    <div
      class="text-center w-[33.33%] h-full"
      @click="[(dialogVisible = true), (gameTypeDialogVisible = false)]"
    >
      <div>
        <div class="w-10 h-10 my-0 mx-auto">
          <img
            class="w-full h-full"
            :src="getAssetImage('assets/theme/common/icon/gameprovider.png')"
          />
        </div>
        <span>{{ $t("provider") }}</span>
      </div>
    </div>
  </div>
  <game-type-dialog
    v-model:game-type-dialog-visible="gameTypeDialogVisible"
    :handle-click="handleClickMenu"
  />
  <provider-dialog
    v-model:dialogVisible="dialogVisible"
    :handle-click="handleClickMenu"
  />
</template>

<script lang="ts">
import { computed, defineComponent, ref, toRefs } from "vue";
import { useRoute } from "vue-router";
import GameTypeDialog from "./GameTypeDialog.client.vue";
import ProviderDialog from "./ProviderDialog.client.vue";
import { store } from "@/store";
import useMenu from "@/composables/useMenu";
import { useHeaderComponent } from "@/composables/useTheme";

export default defineComponent({
  name: "MFooterFunction1",
  components: { GameTypeDialog, ProviderDialog },
  props: {
    auth: {
      type: Boolean,
      default: false,
    },
    displayAuthButtons: {
      type: Boolean,
      default: true,
    },
  },
  setup(_, { emit }) {
    const route = useRoute();
    const router = useRouter();
    const { name } = toRefs(route);
    const isHome = computed(() => name.value === "HomeInitial");
    const gameTypeDialogVisible = ref(false);
    const dialogVisible = ref(false);
    const onNavigateToPage = (url: string) => {
      if (_.auth) {
        window.open(url, "_blank");
      } else {
        router.push("/login");
      }
    };
    const { getAssetImage } = commonHelper;
    const { isShowDepositWithdrawal, isCashPlayer } = useMenu();
    const { isAllowPromotionTab, register } = useHeaderComponent();
    const handleClickMenu = () => {
      emit("update:showDrawer", false);
    };
    return {
      name,
      isHome,
      onNavigateToPage,
      getAssetImage,
      isShowDepositWithdrawal,
      isCashPlayer,
      isAllowPromotionTab,
      register,
      gameTypeDialogVisible,
      handleClickMenu,
      dialogVisible,
    };
  },
});
</script>
<style lang="scss">
.footer-menu {
  height: 65px;
  padding: 7.33px 0px;
  align-items: center;
  a {
    width: calc(100% / 5);
  }
}
.footer-menu-item-title {
  font-size: 12px;
  margin-top: 2px;
  width: auto;
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
}
.shadow-top {
  box-shadow: 0px -4px 3px rgba(0, 0, 0, 0.25);
}
a.router-link-active svg {
  fill: var(--selected);
}
.sbosidebar {
  .el-overlay {
    z-index: 999 !important;
  }
}
</style>
<style scoped>
a:not(.router-link-active) svg.text {
  fill: var(--text5);
}
.footer-menu a {
  width: 33.33%;
}
</style>
